Logger (SLF4J 1.7.25 API)
Date: 2017-03-16

org.apache.log4j

## Class Logger

- java.lang.Object
- - org.apache.log4j.Category
  - - org.apache.log4j.Logger

-     public class Logger
      extends Category

  This class is a minimal implementation of the original `org.apache.log4j.Logger` class (as found in log4j 1.2) delegating all calls to a `Logger` instance.

  Author:
    Ceki Gülcü

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.Category

      `slf4jLogger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Logger(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `getLogger(Class clazz)`
    `static Logger` | `getLogger(String name)`
    `static Logger` | `getLogger(String name, LoggerFactory loggerFactory)`
    `static Logger` | `getRootLogger()` Does the obvious.
    `boolean` | `isTraceEnabled()` Delegates to `Logger.isTraceEnabled()` method of SLF4J.
    `void` | `trace(Object message)` Delegates to `Logger.trace(String)` method in SLF4J.
    `void` | `trace(Object message, Throwable t)` Delegates to `Logger.trace(String,Throwable)` method in SLF4J.

    - ### Methods inherited from class org.apache.log4j.Category

      `addAppender, assertLog, convertToString, debug, debug, error, error, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getEffectiveLevel, getInstance, getInstance, getLevel, getName, getParent, getPriority, info, info, isDebugEnabled, isEnabledFor, isErrorEnabled, isInfoEnabled, isWarnEnabled, log, log, log, setAdditivity, setLevel, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          protected Logger(String name)

  - ### Method Detail

    - #### getLogger

          public static Logger getLogger(String name)

    - #### getLogger

          public static Logger getLogger(String name,
                         LoggerFactory loggerFactory)

    - #### getLogger

          public static Logger getLogger(Class clazz)

    - #### getRootLogger

          public static Logger getRootLogger()

      Does the obvious.
      Returns:

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Delegates to `Logger.isTraceEnabled()` method of SLF4J.

    - #### trace

          public void trace(Object message)

      Delegates to `Logger.trace(String)` method in SLF4J.

    - #### trace

          public void trace(Object message,
                   Throwable t)

      Delegates to `Logger.trace(String,Throwable)` method in SLF4J.

Copyright © 2005–2017 QOS.ch. All rights reserved.